This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 64312 - wireless-tools and kernel modules are compiled with different extensions.
wireless-tools and kernel modules are compiled with different extensions.
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: wireless-tools (Show other bugs)
null
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-02 04:30 EDT by Ivo Sarak
Modified: 2014-03-16 22:27 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-29 21:04:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivo Sarak 2002-05-02 04:30:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98; T312461)

Description of problem:
There are an incompatibilities between kernel modules and iwconfig application.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Install a supported wireless card, load a module for it and run iwconfig.

Actual Results:  Warning : Device eth2 has been compiled with version 211
of Wireless Extension, while we are using version 12.
Some things may be broken...

And according to iwconfig every channel frequency is 2.412GHz.


Expected Results:  No warning messages and a correct freqency printout.
Comment 1 Ivo Sarak 2002-05-02 04:32:16 EDT
I used a airo.o module.
Comment 2 Dax Kelson 2002-08-13 11:02:34 EDT
I see the same thing here with Limbo2 and my wavelan_cs card:

# iwconfig eth1
Warning : Device eth1 has been compiled with version 13
of Wireless Extension, while we are using version 12.
Some things may be broken...

Comment 3 Scott Russell 2002-08-29 21:04:27 EDT
Confirmed with -18.5 rawhide kernel and (null). Updating bug info to version (null)
Comment 4 Bill Nottingham 2002-08-29 21:22:16 EDT
This should be fixed with wireless-tools-25-1

Note You need to log in before you can comment on or make changes to this bug.